import request from '@/utils/request'

// 查询公积金信息汇总列表
export function listSummary(query) {
  return request({
    url: '/crmAccumulationFundSummary/findByPage',
    method: 'get',
    params: query
  })
}

// 查询公积金信息汇总详细
export function getSummary(id) {
  return request({
    url: '/crmAccumulationFundSummary/summary/' + id,
    method: 'get'
  })
}

// 新增公积金信息汇总
export function addSummary(data) {
  return request({
    url: '/crmAccumulationFundSummary/summary',
    method: 'post',
    data: data
  })
}

// 修改公积金信息汇总
export function updateSummary(data) {
  return request({
    url: '/crmAccumulationFundSummary/summary',
    method: 'put',
    data: data
  })
}

// 删除公积金信息汇总
export function delSummary(id) {
  return request({
    url: '/crmAccumulationFundSummary/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delSummaryBatch(ids) {
  console.log(ids);
  return request.post('/crmAccumulationFundSummary/delete',ids)
}

